Summary:       A tool for creating PostgreSQL hot backups
Name:          pg_hotbackup
Version:       0.0.3
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Applications/Archiving
Source0:       http://pgfoundry.org/frs/download.php/1227/%{name}-%{version}.tar.gz
URL:           http://pgfoundry.org/projects/pghotbackup/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Chad Wagner <wagnerch@postgresqlforums.com>
Requires:      perl(DBD::Pg)
Requires:      gzip tar
BuildRequires: perl(DBI)
BuildRequires: perl(DBD::Pg)
BuildRequires: perl(FileHandle)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(POSIX)
BuildArch:     noarch


%description
pg_hotbackup is a Perl script that is used to automate the creation of hot
backup archives for PostgreSQL.


%prep
%setup -q


%build
%{__perl} \
	Makefile.PL

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/*.1*


%changelog
* Fri Apr 24 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.0.3-1
- Initial build
